Download it now!
Bug 97534 - INSERT: SVG smoothness of lines change on zoom level and refresh
Summary: INSERT: SVG smoothness of lines change on zoom level and refresh
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:svg
Depends on:
Blocks: SVG-Import
  Show dependency treegraph
 
Reported: 2016-02-03 18:02 UTC by Yousuf Philips (jay) (retired)
Modified: 2016-10-08 22:55 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
screencast (1.91 MB, video/webm)
2016-02-03 18:02 UTC, Yousuf Philips (jay) (retired)
Details
SVG on a green background (48.19 KB, image/png)
2016-02-04 16:34 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2016-02-03 18:02:06 UTC
Created attachment 122358 [details]
screencast

Steps:
1) Open Writer
2) Insert https://dev.w3.org/SVG/tools/svgweb/samples/svg-files/accessible.svg
3) Increase the size of the image so it equals to the width of the page
4) Notice that the C-shaped wheel chair isnt smooth
5) Change zoom level to 150% and notice that it is smooth, but when scrolling up and down the smoothness isnt always retained
6) Switch to a different app and then back and see the the lines arent smooth again

Version: 5.2.0.0.alpha0+
Build ID: 513d5c5781ec14f8512432f31290a3d54c8d57df
CPU Threads: 2; OS Version: Linux 4.2; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-02-01_10:25:20
Locale: en-US (en_US.UTF-8)
Comment 1 Yousuf Philips (jay) (retired) 2016-02-03 18:12:06 UTC
Same thing occurs with the curved head of the android logo.

https://dev.w3.org/SVG/tools/svgweb/samples/svg-files/android.svg
Comment 2 Yousuf Philips (jay) (retired) 2016-02-03 19:16:49 UTC
Same thing with cartman's face.

https://dev.w3.org/SVG/tools/svgweb/samples/svg-files/cartman.svg
Comment 3 Yousuf Philips (jay) (retired) 2016-02-04 16:34:17 UTC
Created attachment 122392 [details]
SVG on a green background

The non-smoothness of the line causes holes to appear peel of the fruit.
https://dev.w3.org/SVG/tools/svgweb/samples/svg-files/easypeasy.svg
Comment 4 Buovjaga 2016-02-11 10:33:05 UTC
(In reply to Yousuf (Jay) Philips from comment #3)
> Created attachment 122392 [details]
> SVG on a green background
> 
> The non-smoothness of the line causes holes to appear peel of the fruit.
> https://dev.w3.org/SVG/tools/svgweb/samples/svg-files/easypeasy.svg

No problem here.
The wheelchair is also smooth all the time unlike in your screencast.
Fixed so quickly??

Win 7 Pro 64-bit Version: 5.2.0.0.alpha0+
Build ID: a6f876d45bd4e41a7143594a6cb11b6893a0f620
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-02-11_00:07:38
Locale: fi-FI (fi_FI)
Comment 5 Buovjaga 2016-02-11 11:54:01 UTC
Linux-only.

Ubuntu 15.10 64-bit 
Version: 5.2.0.0.alpha0+
Build ID: a6f876d45bd4e41a7143594a6cb11b6893a0f620
CPU Threads: 2; OS Version: Linux 4.2; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF-dbg, Branch:master, Time: 2016-02-11_00:43:46
Locale: en-US (en_US.UTF-8)
Comment 6 Xisco Faulí 2016-10-08 18:13:07 UTC
I can no longer reproduce this problem in

Version: 5.3.0.0.alpha0+
Build ID: ae3ec79354f7b4967e736c6a4cd7c08fc52e2b7d
CPU Threads: 4; OS Version: Linux 4.2; UI Render: default; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

thus, closing it as RESOLVED WORKSFORME
Comment 7 Yousuf Philips (jay) (retired) 2016-10-08 22:55:43 UTC
Verified WFM.

Version: 5.3.0.0.alpha0+
Build ID: f309531cfe1d6a1b6ea1306d45ed3e121145bc5f
CPU Threads: 2; OS Version: Linux 3.19; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-10-04_03:52:18
Locale: en-US (en_US.UTF-8); Calc: group